Seccl - Search assets on Seccl Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/addons/seccl/{addon}/search-assets

Path parameters

  • addon string Required

    The addon ID.

Query parameters

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • id string

      The unique identifier of the client

    • isin string

      The ISIN of the asset

    • short_name string

      The short name of the asset

    • long_name string

      The long name of the asset

    • currency string

      The currency of the asset

    • status string

      The status of the asset

    • available_to_node_id array[string]

      The node ID the asset is available to

    • node_id array[string]

      The node IDs the asset is associated with

    • mid object

      The mid price of the asset

      Hide mid attributes Show mid attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
GET /api/v1/addons/seccl/{addon}/search-assets
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/addons/seccl/soderberg/search-assets?search=Vanguard' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "031DF6J",
  "isin": "GB00B1XZS820",
  "short_name": "VANGUARD LIFESTRATEGY 80% EQUI ACC",
  "long_name": "Vanguard Investments UK Ltd LifeStrategy 80% Equity Acc",
  "currency": "GBP",
  "status": "Active",
  "available_to_node_id": [
    "0"
  ],
  "node_id": [
    "1",
    "2"
  ],
  "mid": {
    "amount": {
      "example": "23454",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£234.54",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  }
}